%bcond_without tests

%global pypi_name matrix-common
%global github_user matrix-org
%global github_name matrix-python-common

Name:           python-matrix-common
Summary:        Common code for Synapse, Sydent and Sygnal
Version:        1.3.0
Release:        1%{?dist}.55
License:        ASL 2.0
URL:            https://github.com/%{github_user}/%{github_name}
Source:         https://github.com/%{github_user}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
Patch0:         python-matrix-common-pyproject-workaround.patch
BuildArch: noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(twisted)
%endif

%description
Common utilities for Synapse, Sydent and Sygnal.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Common utilities for Synapse, Sydent and Sygnal.

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires -r
%endif

%prep
%autosetup -n %{github_name}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files +auto '*'

%check
%pyproject_check_import
%if %{with tests}
PYTHONPATH=%{buildroot}%{python3_sitelib} %python3 -m twisted.trial tests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%changelog
* Tue Sep 13 2022 Oleg Girko <ol@infoserver.lv> - 1.3.0-1
- Update to 1.3.0
- Use dynamic buildrequires
* Wed Sep  7 2022 Oleg Girko <ol@infoserver.lv> - 1.2.1-2
- Require pyproject-rpm-macros explicitly for build
* Tue Jul  5 2022 Oleg Girko <ol@infoserver.lv> - 1.2.1-1
- Update to 1.2.1
* Tue Feb 22 2022 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Update to 1.1.0
* Tue Jan 18 2022 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package
